FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora Development

 
 
LinkBack Thread Tools
 
Old 03-04-2010, 09:17 AM
Quentin Armitage
 
Default Problem with openoffice yum update

I cannot do a yum update of openoffice on F-13 RC4 with the
updates-testing repo enabled. There seems to be an inconsistency around
the dep checking, with it wanting both the old and new versions of
openoffice.org-langpack-en. It is attempting to update from version
3.2.0-12.8.fc13.i686 to 3.2.0-12.9.fc13.i686.

I'm happy to report this in bugzilla, but I'm not sure what I should
report it against.

Below is the output of the yum update.

Quentin Armitage

[root@delilah Downloads]# yum update openoffice-core
Loaded plugins: langpacks, presto, refresh-packagekit
Adding en_GB to language list
Setting up Update Process
No Match for argument: openoffice-core
No package openoffice-core available.
No Packages marked for Update
[root@delilah Downloads]# yum update openoffice.org
Loaded plugins: langpacks, presto, refresh-packagekit
Adding en_GB to language list
Setting up Update Process
No Match for argument: openoffice.org
No package openoffice.org available.
No Packages marked for Update
[root@delilah Downloads]# yum update openoffice.org-core
Loaded plugins: langpacks, presto, refresh-packagekit
Adding en_GB to language list
Setting up Update Process
Resolving Dependencies
--> Running transaction check
--> Processing Dependency: openoffice.org-core = 1:3.2.0-12.8.fc13 for
package: 1penoffice.org-brand-3.2.0-12.8.fc13.i686
--> Processing Dependency: openoffice.org-core = 1:3.2.0-12.8.fc13 for
package: 1penoffice.org-math-core-3.2.0-12.8.fc13.i686
--> Processing Dependency: openoffice.org-core = 1:3.2.0-12.8.fc13 for
package: 1penoffice.org-writer-core-3.2.0-12.8.fc13.i686
--> Processing Dependency: openoffice.org-core = 1:3.2.0-12.8.fc13 for
package: 1penoffice.org-impress-core-3.2.0-12.8.fc13.i686
--> Processing Dependency: openoffice.org-core = 1:3.2.0-12.8.fc13 for
package: 1penoffice.org-graphicfilter-3.2.0-12.8.fc13.i686
--> Processing Dependency: openoffice.org-core = 1:3.2.0-12.8.fc13 for
package: 1penoffice.org-xsltfilter-3.2.0-12.8.fc13.i686
--> Processing Dependency: openoffice.org-core = 1:3.2.0-12.8.fc13 for
package: 1penoffice.org-langpack-en-3.2.0-12.8.fc13.i686
--> Processing Dependency: openoffice.org-core = 1:3.2.0-12.8.fc13 for
package: 1penoffice.org-draw-core-3.2.0-12.8.fc13.i686
--> Processing Dependency: openoffice.org-core = 1:3.2.0-12.8.fc13 for
package: 1penoffice.org-calc-core-3.2.0-12.8.fc13.i686
---> Package openoffice.org-core.i686 1:3.2.0-12.9.fc13 set to be
updated
--> Processing Dependency: openoffice.org-opensymbol-fonts =
1:3.2.0-12.9.fc13 for package:
1penoffice.org-core-3.2.0-12.9.fc13.i686
--> Processing Dependency: openoffice.org-ure = 1:3.2.0-12.9.fc13 for
package: 1penoffice.org-core-3.2.0-12.9.fc13.i686
--> Running transaction check
--> Processing Dependency: openoffice.org-brand = 1:3.2.0-12.8.fc13 for
package: 1penoffice.org-writer-3.2.0-12.8.fc13.i686
--> Processing Dependency: openoffice.org-brand = 1:3.2.0-12.8.fc13 for
package: 1penoffice.org-math-3.2.0-12.8.fc13.i686
--> Processing Dependency: openoffice.org-brand = 1:3.2.0-12.8.fc13 for
package: 1penoffice.org-calc-3.2.0-12.8.fc13.i686
--> Processing Dependency: openoffice.org-brand = 1:3.2.0-12.8.fc13 for
package: 1penoffice.org-impress-3.2.0-12.8.fc13.i686
--> Processing Dependency: openoffice.org-brand = 1:3.2.0-12.8.fc13 for
package: 1penoffice.org-draw-3.2.0-12.8.fc13.i686
---> Package openoffice.org-brand.i686 1:3.2.0-12.9.fc13 set to be
updated
---> Package openoffice.org-calc-core.i686 1:3.2.0-12.9.fc13 set to be
updated
--> Processing Dependency: openoffice.org-draw-core = 1:3.2.0-12.8.fc13
for package: 1penoffice.org-pdfimport-3.2.0-12.8.fc13.i686
---> Package openoffice.org-draw-core.i686 1:3.2.0-12.9.fc13 set to be
updated
---> Package openoffice.org-graphicfilter.i686 1:3.2.0-12.9.fc13 set to
be updated
--> Processing Dependency: openoffice.org-impress-core =
1:3.2.0-12.8.fc13 for package:
1penoffice.org-presenter-screen-3.2.0-12.8.fc13.i686
---> Package openoffice.org-impress-core.i686 1:3.2.0-12.9.fc13 set to
be updated
---> Package openoffice.org-langpack-en.i686 1:3.2.0-12.9.fc13 set to be
updated
---> Package openoffice.org-math-core.i686 1:3.2.0-12.9.fc13 set to be
updated
---> Package openoffice.org-opensymbol-fonts.noarch 1:3.2.0-12.9.fc13
set to be updated
---> Package openoffice.org-ure.i686 1:3.2.0-12.9.fc13 set to be updated
---> Package openoffice.org-writer-core.i686 1:3.2.0-12.9.fc13 set to be
updated
---> Package openoffice.org-xsltfilter.i686 1:3.2.0-12.9.fc13 set to be
updated
--> Running transaction check
---> Package openoffice.org-calc.i686 1:3.2.0-12.9.fc13 set to be
updated
---> Package openoffice.org-draw.i686 1:3.2.0-12.9.fc13 set to be
updated
---> Package openoffice.org-impress.i686 1:3.2.0-12.9.fc13 set to be
updated
---> Package openoffice.org-math.i686 1:3.2.0-12.9.fc13 set to be
updated
---> Package openoffice.org-pdfimport.i686 1:3.2.0-12.9.fc13 set to be
updated
---> Package openoffice.org-presenter-screen.i686 1:3.2.0-12.9.fc13 set
to be updated
---> Package openoffice.org-writer.i686 1:3.2.0-12.9.fc13 set to be
updated
--> Finished Dependency Resolution
Installing langpack for openoffice.org-core
Adding openoffice.org-langpack-en to transaction
Adding openoffice.org-langpack-en to transaction
--> Running transaction check
---> Package openoffice.org-langpack-en.i686 1:3.2.0-12.8.fc13 set to be
updated
--> Processing Dependency: openoffice.org-core = 1:3.2.0-12.8.fc13 for
package: 1penoffice.org-langpack-en-3.2.0-12.8.fc13.i686
--> Finished Dependency Resolution
Error: Package: 1penoffice.org-langpack-en-3.2.0-12.8.fc13.i686
(fedora)
Requires: openoffice.org-core = 1:3.2.0-12.8.fc13
Removing: 1penoffice.org-core-3.2.0-12.8.fc13.i686
(installed)
Installing: 1penoffice.org-core-3.2.0-12.9.fc13.i686
(updates-testing)
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
[root@delilah Downloads]#


--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 03-04-2010, 09:26 AM
Frank Murphy
 
Default Problem with openoffice yum update

On 04/03/10 10:17, Quentin Armitage wrote:
> I cannot do a yum update of openoffice on F-13 RC4 with the
> updates-testing repo enabled. There seems to be an inconsistency around
> the dep checking, with it wanting both the old and new versions of
> openoffice.org-langpack-en. It is attempting to update from version
> 3.2.0-12.8.fc13.i686 to 3.2.0-12.9.fc13.i686.
>
> I'm happy to report this in bugzilla, but I'm not sure what I should
> report it against.
>
--snipped--

https://bugzilla.redhat.com/show_bug.cgi?id=569352 ?

--
Regards,

Frank Murphy
UTF_8 Encoded
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 03-04-2010, 09:27 AM
Kalev Lember
 
Default Problem with openoffice yum update

On 03/04/2010 12:17 PM, Quentin Armitage wrote:
> I cannot do a yum update of openoffice on F-13 RC4 with the
> updates-testing repo enabled. There seems to be an inconsistency around
> the dep checking, with it wanting both the old and new versions of
> openoffice.org-langpack-en. It is attempting to update from version
> 3.2.0-12.8.fc13.i686 to 3.2.0-12.9.fc13.i686.

I have recently experienced various upgrade problems which were fixed by
cleaning yum metadata. Apparently there's "metadata_expire=7d" set in
F-13 fedora.repo, but not in fedora-updates-testing repo. That makes yum
skip metadata refreshes in one repo, whereas the other one gets updated.

Maybe your problem can also be solved by "yum clean metadata"?

--
Kalev
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 03-04-2010, 10:06 AM
Quentin Armitage
 
Default Problem with openoffice yum update

On Thu, 2010-03-04 at 10:26 +0000, Frank Murphy wrote:
> On 04/03/10 10:17, Quentin Armitage wrote:
> > I cannot do a yum update of openoffice on F-13 RC4 with the
> > updates-testing repo enabled. There seems to be an inconsistency around
> > the dep checking, with it wanting both the old and new versions of
> > openoffice.org-langpack-en. It is attempting to update from version
> > 3.2.0-12.8.fc13.i686 to 3.2.0-12.9.fc13.i686.
> >
> > I'm happy to report this in bugzilla, but I'm not sure what I should
> > report it against.
> >
> --snipped--
>
> https://bugzilla.redhat.com/show_bug.cgi?id=569352 ?
>
Many thanks for this - should have found it myself.

yum update --disableplugin=langpacks woks fine.

BTW, yum clean metadata didn't make any difference.

--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 

Thread Tools




All times are GMT. The time now is 06:52 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org